:root {
	--gsuiPanels-bd: 1px solid #222;
	--gsuiPanels-extendSize: 5px;
	--gsuiPanels-extendColor: #888;
}

.gsuiPanels-cursor {
	position: fixed;
	z-index: 2147483647;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
}

.gsuiPanels-x,
.gsuiPanels-y {
	display: flex;
}
.gsuiPanels-y {
	flex-direction: column;
}
.gsuiPanels-x > div:not(.gsuiPanels-extend),
.gsuiPanels-y > div:not(.gsuiPanels-extend) {
	position: relative;
}
.gsuiPanels-last {
	flex: 1 !important;
}
.gsuiPanels-x > div,
.gsuiPanels-y > div {
	box-sizing: border-box;
}
.gsuiPanels-x > div + div:not(.gsuiPanels-extend) { border-left: var( --gsuiPanels-bd ); }
.gsuiPanels-y > div + div:not(.gsuiPanels-extend) { border-top: var( --gsuiPanels-bd ); }

.gsuiPanels-noselect {
	user-select: none;
	-ms-user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
}

/* .gsuiPanels-extend ------------------------------------------------------- */
.gsuiPanels-extend {
	position: absolute;
	z-index: 999;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	transition: background-color .2s;
}
.gsuiPanels-extend.gsui-hover,
.gsuiPanels-extend:hover {
	background-color: var(--gsuiPanels-extendColor);
}
.gsuiPanels-x > div > .gsuiPanels-extend {
	cursor: col-resize;
	width: var( --gsuiPanels-extendSize );
	margin-left: calc( var( --gsuiPanels-extendSize ) / -2 );
}
.gsuiPanels-y > div > .gsuiPanels-extend {
	cursor: row-resize;
	height: var( --gsuiPanels-extendSize );
	margin-top: calc( var( --gsuiPanels-extendSize ) / -2 );
}
